App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
mhr.app.fragments.toolbox.NavigationToolSettingsFragment Class Reference

Fragment pro nastavení nástroje navigace. More...

Inheritance diagram for mhr.app.fragments.toolbox.NavigationToolSettingsFragment:

## Public Member Functions
void | onAttach (Activity activity)
void | onCreate (Bundle savedInstanceState)
View | onCreateView (LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
void | onActivityCreated (Bundle savedInstanceState)
void | onStart ()
void | onResume ()
void | onPause ()
void | onStop ()
void | onDestroyView ()
void | onDestroy ()
void | onDetach ()
void | onClick (View v)

## Protected Attributes
View | root
AppMainActivity | activity
DisplayerTouchNavigator | navig = null

## Detailed Description

Fragment pro nastavení nástroje navigace.

Definition at line 18 of file NavigationToolSettingsFragment.java.

## Member Function Documentation

void mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onActivityCreated | ( | Bundle | savedInstanceState | ) |
| inline

Definition at line 74 of file NavigationToolSettingsFragment.java.

{
super.onActivityCreated(savedInstanceState);
/*
* tells the fragment that its activity has completed its own Activity.onCreate().
*/
}

void mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onAttach | ( | Activity | activity | ) |
| inline

Definition at line 33 of file NavigationToolSettingsFragment.java.

{
super.onAttach(activity);
this.activity = (AppMainActivity) getActivity();
if (navig == null) { // instance bude cachovana
navig = new DisplayerTouchNavigator(this.activity.getBitmapDisplayer(), this.activity);
}
/*
* called once the fragment is associated with its activity.
*/
}

void mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onClick | ( | View | v | ) |
| inline

Definition at line 163 of file NavigationToolSettingsFragment.java.

{
int id = v.getId();
switch (id) {
case R.id.CenterAndFitBtn:
activity.getBitmapDisplayer().centerAndFit();
break;
case R.id.CenterAndResetZoomBtn:
activity.getBitmapDisplayer().centerAndResetZoom();
break;
default:
break;
}
}

void mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onCreate | ( | Bundle | savedInstanceState | ) |
| inline

Definition at line 46 of file NavigationToolSettingsFragment.java.

{
super.onCreate(savedInstanceState);
/*
* called to do initial creation of the fragment.
*
* The system calls this when creating the fragment. Within your implementation, you should initialize essential components of the fragment that you want
* to retain when the fragment is paused or stopped, then resumed.
*/
}

View mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onCreateView | ( | LayoutInflater | inflater,
|  | ViewGroup | container,
|  | Bundle | savedInstanceState
| ) |  |
| inline

Definition at line 57 of file NavigationToolSettingsFragment.java.

{
/*
* creates and returns the view hierarchy associated with the fragment.
*
* The system calls this when it's time for the fragment to draw its user interface for the first time. To draw a UI for your fragment, you must return a
* View from this method that is the root of your fragment's layout. You can return null if the fragment does not provide a UI.
*
* Zde začíná životní cyklus při návratu z backstacku
*/
View v = inflater.inflate(R.layout.fragment_navigation_tool_settings, container, false);
root = v;
root.findViewById(R.id.CenterAndFitBtn).setOnClickListener(this);
root.findViewById(R.id.CenterAndResetZoomBtn).setOnClickListener(this);
return v;
}

void mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onDestroy | ( |  | ) |
| inline

Definition at line 136 of file NavigationToolSettingsFragment.java.

{
super.onDestroy();
/*
* called to do final cleanup of the fragment's state.
*/
}

void mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onDestroyView | ( |  | ) |
| inline

Definition at line 126 of file NavigationToolSettingsFragment.java.

{
super.onDestroyView();
/*
* allows the fragment to clean up resources associated with its View.
*
* Zde končí životní cyklus při umístění do backstacku
*/
}

void mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onDetach | ( |  | ) |
| inline

Definition at line 144 of file NavigationToolSettingsFragment.java.

{
super.onDetach();
/*
* called immediately prior to the fragment no longer being associated with its activity.
*/
}

void mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onPause | ( |  | ) |
| inline

Definition at line 107 of file NavigationToolSettingsFragment.java.

{
super.onPause();
/*
* fragment is no longer interacting with the user either because its activity is being paused or a fragment operation is modifying it in the activity.
*
* The system calls this method as the first indication that the user is leaving the fragment (though it does not always mean the fragment is being destroyed).
* This is usually where you should commit any changes that should be persisted beyond the current user session (because the user might not come back).
*/
}

void mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onResume | ( |  | ) |
| inline

Definition at line 98 of file NavigationToolSettingsFragment.java.

{
super.onResume();
/*
* makes the fragment interacting with the user (based on its containing activity being resumed).
*/
activity.setCanvasOnTouchListener(navig);
}

void mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onStart | ( |  | ) |
| inline

Definition at line 90 of file NavigationToolSettingsFragment.java.

{
super.onStart();
/*
* makes the fragment visible to the user (based on its containing activity being started).
*/
}

void mhr.app.fragments.toolbox.NavigationToolSettingsFragment.onStop | ( |  | ) |
| inline

Definition at line 118 of file NavigationToolSettingsFragment.java.

{
super.onStop();
/*
* fragment is no longer visible to the user either because its activity is being stopped or a fragment operation is modifying it in the activity.
*/
}

## Member Data Documentation

AppMainActivity mhr.app.fragments.toolbox.NavigationToolSettingsFragment.activity
| protected

Definition at line 156 of file NavigationToolSettingsFragment.java.

DisplayerTouchNavigator mhr.app.fragments.toolbox.NavigationToolSettingsFragment.navig = null
| protected

Definition at line 157 of file NavigationToolSettingsFragment.java.

View mhr.app.fragments.toolbox.NavigationToolSettingsFragment.root
| protected

Definition at line 155 of file NavigationToolSettingsFragment.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/app/src/mhr/app/fragments/toolbox/NavigationToolSettingsFragment.java